# Generated by Django 4.0.3 on 2022-03-12 19:27

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import app.internal.data.validators


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0003_alter_bankaccount_account_number"),
    ]

    operations = [
        migrations.CreateModel(
            name="BankCard",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                (
                    "number",
                    models.DecimalField(
                        decimal_places=0,
                        max_digits=19,
                        validators=[django.core.validators.MinValueValidator(1000000000000)],
                    ),
                ),
                (
                    "expiry_date",
                    models.CharField(max_length=5, validators=[app.internal.data.validators.expiry_date_validator]),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=26, validators=[django.core.validators.RegexValidator("[\\d\\.`\\'~-]+")]
                    ),
                ),
                ("account", models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to="app.bankaccount")),
            ],
        ),
    ]
